Attribute VB_Name = "modINI"
Option Explicit

Private Declare Function GetPrivateProfileString& Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal AppName$, _
    ByVal KeyName$, ByVal keydefault$, _
    ByVal ReturnedString$, ByVal RSSize&, _
    ByVal Filename$)

Private Declare Function WritePrivateProfileString& Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal AppName$, _
    ByVal KeyName$, ByVal keydefault$, _
    ByVal Filename$)

Public Function ReadINI(INISection As String, INIKey As String) As String

    Dim sBuffer As String
    Dim sBufferSize As Long
    
    'Read Default comm settings from slcd.ini
    
    sBuffer = Space(255)
    sBufferSize = Len(sBuffer)
    sBufferSize = GetPrivateProfileString(INISection, INIKey, "", sBuffer, sBufferSize, AppPath & "sc2004.ini")
        
    If sBufferSize > 0 Then
        ReadINI = Left(sBuffer, sBufferSize)
    Else
        ReadINI = ""
    End If
    
End Function

Public Sub WriteINI(INISection As String, INIKey As String, INIValue As String)

    'Update Default comm settings in slcd.ini

    Call WritePrivateProfileString(INISection, INIKey, INIValue, AppPath & "sc2004.ini")
    
End Sub

Public Function AppPath()

AppPath = App.Path

If Right(AppPath, 1) <> "\" Then
    AppPath = App.Path & "\"
End If

End Function



